# glanceclient.client module

glanceclient.client.Client(version=None, endpoint=None, session=None, *args, **kwargs)

  Client for the OpenStack Images API.

  Generic client for the OpenStack Images API. See version classes for specific details.

  Parameters:

    - version (string) – The version of API to use.

    - session (keystoneauth1.session.Session) – A keystoneauth1 session that should be used for transport.

this page last updated: 2026-03-27 11:43:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug